org.eclipse.jdt.ui.dialogs

## Interface ITypeInfoFilterExtension

    public interface ITypeInfoFilterExtension

A filter to select `ITypeInfoRequestor` objects.

The interface should be implemented by clients wishing to provide special filtering to the type selection dialog.

Since:
  3.2

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `select(ITypeInfoRequestor typeInfoRequestor)` Returns whether the given type makes it into the list or not.

### Method Detail

#### select

    boolean select(ITypeInfoRequestor typeInfoRequestor)

Returns whether the given type makes it into the list or not.

Parameters:
  `typeInfoRequestor` - the `ITypeInfoRequestor` to used to access data for the type under inspection
Returns:
  whether the type is selected or not